unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RVTable, RVScroll, RichView, RVEdit, RVStyle, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    RichViewEdit1: TRichViewEdit;
    RVStyle1: TRVStyle;
    rgBorderWidth: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure rgBorderWidthClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var table: TRVTableItemInfo;
begin
  table := TRVTableItemInfo.CreateEx(100, 3, RichViewEdit1.RVData);
  RichViewEdit1.Clear;
  RichViewEdit1.AddItem('', table);
  RichViewEdit1.Format;
end;

procedure TForm1.rgBorderWidthClick(Sender: TObject);
var i, Data: Integer;
    table: TRVTableItemInfo;
begin
  for i := 0 to RichViewEdit1.ItemCount-1 do
    if RichViewEdit1.GetItemStyle(i)=rvsTable then begin
      table := TRVTableItemInfo(RichViewEdit1.GetItem(i));
      RichViewEdit1.BeginItemModify(i, Data);
      table.BorderWidth:=rgBorderWidth.ItemIndex;
      table.CellBorderWidth:=rgBorderWidth.ItemIndex;
      RichViewEdit1.EndItemModify(i, Data);
      RichViewEdit1.Change;
    end;
end;

end.
